<?xml version="1.0" encoding="utf-8"?>
<com.adealink.weparty.commonui.widget.constrainlayout.RoundCornerConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/im_message_bubble_bg"
    app:constraint_layout_round_corner="12dp">

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/iv_img"
        style="@style/CommonNetworkImage"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:actualImageScaleType="centerCrop"
        app:layout_constraintDimensionRatio="343:130"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="12dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_img">

        <!--标题-->
        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="start"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Mobile Mobile Mobile Mobile Mobile Mobile Mobile Mobile "
            tools:visibility="visible" />

        <!--内容-->
        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:gravity="start"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_title"
            app:layout_goneMarginTop="0dp"
            tools:text="Mobile Mobile Mobile Mobile Mobile Mobile Mobile Mobile "
            tools:visibility="visible" />

        <!--链接-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/v_link"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:visibility="gone"
            app:layout_constraintTop_toBottomOf="@id/tv_content"
            app:layout_goneMarginTop="0dp"
            tools:visibility="visible">

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:background="@color/color_FFF2F3F5"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="6dp"
                android:layout_marginTop="6dp"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="start"
                android:includeFontPadding="false"
                android:text="@string/im_official_view_now"
                android:textColor="@color/color_FF3FBFBD"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_goneMarginTop="0dp" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:rotationY="@integer/locale_mirror_flip"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_go_ic" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</com.adealink.weparty.commonui.widget.constrainlayout.RoundCornerConstraintLayout>